# Resolve which factory a machine belongs to from TimescaleDB data (/docs/api-reference/monitoring/MonitoringController_resolveFactory)

`GET /api/factories/{factoryId}/monitoring/resolve-factory`

Base URL: https://api.xentr.ai

Authentication: bearer token (`Authorization: Bearer <token>`).

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `factoryId` | path | yes | string | Comma-separated candidate factory IDs |
| `machineId` | query | yes | string | Machine ID to look up |

## Responses

### 200: Resolved factory ID or null